
nav {
    grid-area: menu;
    background-color: #222;
    color: white;
    max-height: 100vh;
    width: 260px;
    overflow-y: auto;
    box-shadow: 0 0 4px #000a;
    z-index: 9;
    transition: width .6s ease;
    height: auto;
}

nav > img:first-child {
    max-width: 180px;
    max-height: 90px;
    margin: 32px auto;
    display: block;
    transition: width .4s ease;
    cursor: pointer;
}

nav > a {
    box-sizing: border-box;
    display: flex;
    height: 42px;
    align-items: center;
    padding: 0 16px 0 28px;
    font-size: 14px;
    text-decoration: none;
    color: inherit;
    transition: all .3s ease;
}

nav > a.current {
    color: #ff9800;
    font-weight: 500;
}

nav > a::before {
    margin-right: 24px !important;
}

nav > a:after {
    content: attr(data-label);
}

nav > a:hover {
    background-color: #282828;
    border-right: 3px solid #ff9800;
    color: #ff9800;
}

nav > footer {
    margin: 24px 24px 0 24px;
    border-top: 1px solid #444;
    padding: 16px 0;
    line-height: 1.6;
    color: #888;
}

nav > footer > section {
    margin-top: 16px;
    color: #eee;
}

/* Folded Menu */

nav.folded {
    width: 80px;
}

nav.folded > a {
    font-size: 0;
}

nav.folded > a:hover::after {
    font-size: 14px;
    position: absolute;
    left: 84px;
    background-color: inherit;
    padding: 8px 12px;
    border-radius: 6px;
    color: white;
    background-color: #111;
}

nav.folded > footer {
    white-space: nowrap;
    overflow: hidden;
    opacity: 0;
    visibility:none;
}

nav.folded > img:first-child {
    width: 32px;
    height:  32px;
    object-fit: cover;
    object-position: left;
}

nav > footer > a {
    display: inline-block;
    opacity: .7;
    color: #2196f3;
    margin-top: 16px;
}
